# Class CIM_ParticipatingCS
extends CIM_Dependency

A Cluster is composed of two or more ComputerSystems, operating together. A ComputerSystem may participate in multiple Clusters. When first establishing or bringing up a Cluster, only one ComputerSystem may be defined as participating in it. Therfore, the cardinality of the association for the ComputerSystem reference is Min (1).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ParticipatingCS

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A Cluster is composed of two or more ComputerSystems, operating together. A ComputerSystem may participate in multiple Clusters. When first establishing or bringing up a Cluster, only one ComputerSystem may be defined as participating in it. Therfore, the cardinality of the association for the ComputerSystem reference is Min (1).
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
RoleOfNode | uint16 |
Description | string | RoleOfNode indicates whether the Cluster nodes are peers (value = 2), connected in a master-slave/primary- secondary relationship (values = 3 for primary, 4 for secondary), available in a standby configuration (5) or of some other (1) or unknown (0) relationship. In a System/390 environment, the nodes are identified as "Base Plex" (value=6) or "Enhanced Plex" (value=7).
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, Other, Peer, Primary, Secondary, Standby, Base Plex, Enhanced Plex
StateOfNode | uint16 |
Description | string | StateOfNode indicates the condition of the participating ComputerSystem in the Cluster. For example, one value is "Joining" (2).
ValueMap | string | 0, 1, 2, 3, 4, 5, 6
Values | string | Unknown, Other, Joining, Paused, Available, Unavailable, Degraded

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ParticipatingCS | CIM_ComputerSystem
Dependent | CIM_ParticipatingCS | CIM_Cluster

## Class Methods